function fillVanillaConfig()
	
	config["iron-ore"] = {
		type="resource-ore",
		
		-- general spawn params
		allotment=100, -- how common resource is
		spawns_per_region={min=1, max=1}, --number of chunks
		richness=16000,        -- resource_ore has only one richness value - resource-liquid has min/max
		
		size={min=30, max=40}, -- rough radius of area, too high value can produce square shaped areas
		min_amount=1,
		
		-- resource provided at starting location
		-- probability: 1 = 100% chance to be in starting area
		--              0 = resource is not in starting area
		starting={richness=16000, size=35, probability=1},
		
		multi_resource_chance=0.0, -- absolute value
		multi_resource={
			["iron-ore"] = 2, -- ["resource_name"] = allotment
			['copper-ore'] = 4,
			["coal"] = 4,
			["stone"] = 4,
		}
	}
	
	config["copper-ore"] = {
		type="resource-ore",
		
		allotment=100,
		spawns_per_region={min=1, max=1},
		richness=15000,
		size={min=30, max=40},
		min_amount=1,

		starting={richness=12000, size=30, probability=1},
		
		multi_resource_chance=0.0,
		multi_resource={
			["iron-ore"] = 4,
			['copper-ore'] = 2,
			["coal"] = 4,
			["stone"] = 4,
		}
	}
	
	config["coal"] = {
		type="resource-ore",
		
		allotment=80,
		
		spawns_per_region={min=1, max=1},
		size={min=25, max=35},
		richness=13000,
		min_amount=1,

		starting={richness=10000, size=25, probability=1},
		
		multi_resource_chance=0.0,
		multi_resource={
			["stone"] = 2,
			["crude-oil"] = 4,
			["iron-ore"] = 3,
			['copper-ore'] = 3,
		}
	}
	
	config["stone"] = {
		type="resource-ore",
		
		allotment=50,
		spawns_per_region={min=1, max=1},
		richness=13000,
		size={min=20, max=30},
		min_amount=1,

		starting={richness=6000, size=14, probability=1},
		
		multi_resource_chance=0.0,
		multi_resource={
			["coal"] = 4,
			["crude-oil"] = 2,
			["iron-ore"] = 3,
			['copper-ore'] = 3,
		}
	}
	
	config["crude-oil"] = {
		type="resource-liquid",
		minimum_amount=4000,
		allotment=70,
		spawns_per_region={min=1, max=1},
		richness={min=500, max=1500}, -- richness per resource spawn
		size={min=2, max=6},
		
		starting={richness=8000, size=1, probability=1},
		
		multi_resource_chance=0.0,
		multi_resource={
			["coal"] = 4,
			["crude-oil"] = 1,
		}
	}
end